/* --COPYRIGHT--,BSD
// BSD-3-Clause
//
// Copyright (c) 2018, Texas Instruments Incorporated
// All rights reserved.
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions
// are met:
//
// * Redistributions of source code must retain the above copyright
// notice, this list of conditions and the following disclaimer.
//
// * Redistributions in binary form must reproduce the above copyright
// notice, this list of conditions and the following disclaimer in the
// documentation and/or other materials provided with the distribution.
//
// * Neither the name of Texas Instruments Incorporated nor the names of
// its contributors may be used to endorse or promote products derived
// from this software without specific prior written permission.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
// AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
// THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
// PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
// CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
// EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
// PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
// OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
// WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
// OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
// EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * --/COPYRIGHT--*/
//#############################################################################
//
//! \file   WakeOnProximity_Sensor.h
//
//! \brief  Header file for WOP (wake on proximity) sensor
//
//  Group:          MSP
//  Target Device:  MSP430FR2633
//
//  (C) Copyright 2018, Texas Instruments, Inc.
//#############################################################################
// TI Release: 1.00.00.00
// Release Date: Dec 04, 2018
//#############################################################################

//*****************************************************************************
// Includes
//*****************************************************************************

#ifndef WAKE_ON_PROXIMITY_SENSOR_H_
#define WAKE_ON_PROXIMITY_SENSOR_H_

#include <CAPTIVATE.h>


//*****************************************************************************
// Definitions
//*****************************************************************************
// Select if WOP sensor data is sent to GUI.
// In demo mode this is false.  Set to true for tuning WOP sensor.
// Note: CAPT_UserConfig.h -> set #define CAPT_WAKEONPROX_ENABLE  (false)
// for sensor tuning.
//
#define SEND_WOP_SENSOR_DATA  (false)

extern tSensor WakeOnProximitySensor;
extern void init_WOP_Sensor_RX_Channels(void);
extern void WOP_Sensor_Callback(tSensor* pSensor);

extern void activate_WOP_Sensor_RX_Channels(void);
extern void deactivate_WOP_Sensor_RX_Channels(void);
extern void enable_WOP_Sensor_RX_Channels(void);
extern void disable_WOP_Sensor_RX_Channels(void);

#endif /* WAKE_ON_PROXIMITY_SENSOR_H_ */
