/* --COPYRIGHT--,BSD
// BSD-3-Clause
//
// Copyright (c) 2018, Texas Instruments Incorporated
// All rights reserved.
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions
// are met:
//
// * Redistributions of source code must retain the above copyright
// notice, this list of conditions and the following disclaimer.
//
// * Redistributions in binary form must reproduce the above copyright
// notice, this list of conditions and the following disclaimer in the
// documentation and/or other materials provided with the distribution.
//
// * Neither the name of Texas Instruments Incorporated nor the names of
// its contributors may be used to endorse or promote products derived
// from this software without specific prior written permission.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
// AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
// THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
// PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
// CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
// EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
// PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
// OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
// WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
// OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
// EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * --/COPYRIGHT--*/
//#############################################################################
//
//! \file   media_player.h
//
//! \brief  Media player demo application code header file
//
//  Group:          MSP
//  Target Device:  MSP430FR2633
//
//  (C) Copyright 2018, Texas Instruments, Inc.
//#############################################################################
// TI Release: 1.00.00.00
// Release Date: Dec 04, 2018
//#############################################################################

#ifndef MEDIA_PLAYER_H_
#define MEDIA_PLAYER_H_

//*****************************************************************************
// Includes
//*****************************************************************************

#include <msp430.h>
#include "driverlib.h"
#include "captivate.h"

//*****************************************************************************
// Definitions
//*****************************************************************************
// Select if gesture data can be sent to GUI.
// In demo mode this is false.  Set to true for gesture tuning and debugging.
// To make tuning the gestures easier, it is possible to stream selected
// gesture data to the CapTIvate Design Center and view in the sensor's
// oscilloscope view.  This view creates a real-time historical data view that
// can be used to determine which gesture parameters to tune for best user
// experience.
//
#define SEND_GESTURE_DATA  (false)

//*****************************************************************************
// Function Declarations
//*****************************************************************************


//*****************************************************************************
//! \brief Initialize the hardware.
//! \param none
//! \return none
//*****************************************************************************
extern void Demo_Init(void);


#endif /* MEDIA_PLAYER_H_ */
